DtEditorClearSelection(library call)

NAME
DtEditorClearSelection — clear the primary selection in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorClearSelection(
Widget widget);

DESCRIPTION

The DtEditorClearSelection function replaces the primary selection in a DtEditor widget, specified by widget, with blanks (ASCII character 0x20) and newlines. Text can be selected and deselected programmatically with DtEditorSelectAll(3) and DtEditorDeselect(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorClearSelection function returns True; otherwise, if the primary selection is NULL, or if the widget does not own the primary selection, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorCopyToClipboard(3), DtEditorCutToClipboard(3), DtEditorDeselect(3), DtEditorDeleteSelection(3), DtEditorPasteFromClipboard(3), DtEditorSelectAll(3), DtEditorUndoEdit(3).